Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IGLTriangles

    java.lang.Object
      igeo.gui.IGLElement
          igeo.gui.IGLTriangles

    public class IGLTriangles

extends IGLElement

Objectified OpenGL triangle drawing process.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary

Fields inherited from class igeo.gui.IGLElement
`normal, pts, tmpNormal, tmpPts`

Constructor Summary
`private` | `IGLTriangles(IVec[][] triangles)`
`private` | `IGLTriangles(IVec[][] triangles, IVec[][] normals)`

Method Summary
`void` | `draw(javax.media.opengl.GL gl)`
`void` | `setPoint(int triangleIdx, int vertexIdx, IVec pt)`
`void` | `setPoint(int triangleIdx, int vertexIdx, IVec pt, IVec nml)`
`int` | `triangleNum()`

Methods inherited from class igeo.gui.IGLElement
`addPoint, addPoint, drawPoints, finalizePoint, getNum, num, setNormal, setNormal, setNormalNum, setPoint, setPoint, setPointNum`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IGLTriangles

    private IGLTriangles(IVec[][] triangles)

### IGLTriangles

    private IGLTriangles(IVec[][] triangles,
                         IVec[][] normals)

Method Detail

### triangleNum

    public int triangleNum()

### setPoint

    public void setPoint(int triangleIdx,
                         int vertexIdx,
                         IVec pt)

### setPoint

    public void setPoint(int triangleIdx,
                         int vertexIdx,
                         IVec pt,
                         IVec nml)

### draw

    public void draw(javax.media.opengl.GL gl)

  Specified by:
    `draw` in class `IGLElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD